[Bug 52952] Re: Attempting to install kubuntu-desktop with apt-get fails with unmet dependencies

John Vivirito gnomefreak at gmail.com
Wed Mar 25 07:28:55 UTC 2009


On 03/24/2009 10:24 PM, pat james wrote:
> patrick at patrick-desktop:~$ cat/etc/apt/sources.list
> bash: cat/etc/apt/sources.list: No such file or directory
> patrick at patrick-desktop:~$ cat /etc/apt/sources.list
> # deb cdrom:[Ubuntu 7.10 _Gutsy Gibbon_ - Release i386 (20071016)]/ gutsy
> main restricted
> # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
> # newer versions of the distribution.
> 
> deb cdrom:[Ubuntu 8.04 _Hardy Heron_ - Release i386 (20080423)]/ hardy main
> restricted
> deb http://au.archive.ubuntu.com/ubuntu/ hardy main restricted multiverse
> # Line commented out by installer because it failed to verify:
> # deb-src http://au.archive.ubuntu.com/ubuntu/ gutsy main restricted
> 
> ## Major bug fix updates produced after the final release of the
> ## distribution.
> 
> ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
> ## team, and may not be under a free licence. Please satisfy yourself as to
> ## your rights to use the software. Also, please note that software in
> ## universe WILL NOT receive any review or updates from the Ubuntu security
> ## team.
> deb http://au.archive.ubuntu.com/ubuntu/ hardy universe
> # Line commented out by installer because it failed to verify:
> # deb-src http://au.archive.ubuntu.com/ubuntu/ gutsy universe
> # Line commented out by installer because it failed to verify:
> # deb http://au.archive.ubuntu.com/ubuntu/ gutsy-updates universe
> # Line commented out by installer because it failed to verify:
> # deb-src http://au.archive.ubuntu.com/ubuntu/ gutsy-updates universe
> 
> ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
> ## team, and may not be under a free licence. Please satisfy yourself as to
> ## your rights to use the software. Also, please note that software in
> ## multiverse WILL NOT receive any review or updates from the Ubuntu
> ## security team.
> # Line commented out by installer because it failed to verify:
> # deb http://au.archive.ubuntu.com/ubuntu/ gutsy multiverse
> # Line commented out by installer because it failed to verify:
> # deb-src http://au.archive.ubuntu.com/ubuntu/ gutsy multiverse
> # Line commented out by installer because it failed to verify:
> deb http://au.archive.ubuntu.com/ubuntu/ gutsy-updates multiverse
> # Line commented out by installer because it failed to verify:
> # deb-src http://au.archive.ubuntu.com/ubuntu/ gutsy-updates multiverse
> 
> ## Uncomment the following two lines to add software from the 'backports'
> ## repository.
> ## N.B. software from this repository may not have been tested as
> ## extensively as that contained in the main release, although it includes
> ## newer versions of some applications which may provide useful features.
> ## Also, please note that software in backports WILL NOT receive any review
> ## or updates from the Ubuntu security team.
> deb http://au.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted
> universe multiverse
> # deb-src http://au.archive.ubuntu.com/ubuntu/ gutsy-backports main
> restricted universe multiverse
> 
> ## Uncomment the following two lines to add software from Canonical's
> ## 'partner' repository. This software is not part of Ubuntu, but is
> ## offered by Canonical and the respective vendors as a service to Ubuntu
> ## users.
> # deb http://archive.canonical.com/ubuntu gutsy partner
> # deb-src http://archive.canonical.com/ubuntu gutsy partner
> 
> deb http://security.ubuntu.com/ubuntu hardy-security main restricted
> deb-src http://security.ubuntu.com/ubuntu hardy-security main restricted
> deb http://security.ubuntu.com/ubuntu hardy-security universe
> deb-src http://security.ubuntu.com/ubuntu hardy-security universe
> deb http://security.ubuntu.com/ubuntu hardy-security multiverse
> deb http://au.archive.ubuntu.com/ubuntu/ hardy-proposed restricted main
> multiverse universe
> deb http://au.archive.ubuntu.com/ubuntu/ hardy-backports restricted main
> multiverse universe
> deb-src http://security.ubuntu.com/ubuntu hardy-security multiverse
> deb http://security.ubuntu.com/ubuntu/ hardy-security restricted main
> multiverse universe
> deb http://au.archive.ubuntu.com/ubuntu/ hardy-updates restricted main
> multiverse universe
> 
> deb http://ppa.launchpad.net/googlegadgets/ubuntu hardy main deb
> http://ppa.launchpad.net/gilir/ubuntu hardy main universe
> deb http://ppa.launchpad.net/gilir/ubuntu hardy main universe
> deb mirror://www.getdeb.net/playdeb-mirror/hardy/// hardy/
> deb mirror://www.getdeb.net/playdeb-mirror/hardy/// hardy/
> deb http://ppa.launchpad.net/compiz/ubuntu hardy main
> deb mirror://www.getdeb.net/playdeb-mirror/hardy/// hardy/
> deb http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main
> deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main
> deb http://playonlinux.botux.net/ hardy main #PlayOnLinux
> deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
> deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
> deb http://www.remastersys.klikit-linux.com/repository remastersys/
> patrick at patrick-desktop:~$
> 
> 
> The Kubuntu files loaded ( in Applications-> other I have 87 programs?
> 
> On Wed, Mar 25, 2009 at 1:45 AM, John Vivirito <gnomefreak at gmail.com>
> wrote:
> 
>> i need the output of the following command:
>> cat /etc/apt/sources.list
>> I dont know where you are getting OO.o-3 but the sources.list file will
>> tell me
>>
>> --
>> Attempting to install kubuntu-desktop with apt-get fails with unmet
>> dependencies
>> https://bugs.launchpad.net/bugs/52952
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “kubuntu-meta” source package in Ubuntu: Incomplete
>>
>> Bug description:
>> Binary package hint: kubuntu-desktop
>>
>> When I try to use the command "sudo apt-get install kubuntu-desktop", it
>> fails with the following output:
>>
>> james at polpot:~$ sudo apt-get install kubuntu-desktop
>> Reading package lists... Done
>> Building dependency tree... Done
>> Some packages could not be installed. This may mean that you have
>> requested an impossible situation or if you are using the unstable
>> distribution that some required packages have not yet been created
>> or been moved out of Incoming.
>>
>> Since you only requested a single operation it is extremely likely that
>> the package is simply not installable and a bug report against
>> that package should be filed.
>> The following information may help to resolve the situation:
>>
>> The following packages have unmet dependencies.
>>  kubuntu-desktop: Depends: kdegraphics-kfile-plugins but it is not going to
>> be installed
>> E: Broken packages
>> james at polpot:~$
>>
>> I also ran sudo apt-get udpate before trying the command, but this had no
>> effect.
>>
>> This may be similar to bug 51656, but the packages are different and I'm
>> not sure...
>>
>>
> 
> 
You problem is caused by your sources.list.
1 with the get-deb repos may have something to do with it.
2. you have gutsy and hardy repos make them all one or the other. i
suggest Hardy than run the following
sudo apt-get update
sudo apt-get upgrade
3. if sudo apt-get upgrade doesnt work use
sudo apt-get dist-upgrade

closing bug due to user error not ubuntus. If you need further
assistance please se answers.launchpad.net and file a question or in IRC
on irc.freenode.net for the <server> and join #ubuntu <the channel>
Ubuntu for one doesnt support repos we have no control over adn PPA'a
are use at your own right.
Mixing releases cause unstable problem so you need to make them all one
Ubuntu release, also not supported.

 status invalid

-- 
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

-- 
Attempting to install kubuntu-desktop with apt-get fails with unmet dependencies
https://bugs.launchpad.net/bugs/52952
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to kubuntu-meta in ubuntu.




More information about the kubuntu-bugs mailing list